package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * bs_trade_take_config
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsTradeTakeConfig implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 公司id
     */
    private Long companyId;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 平台类型
     */
    private Integer platformType;

    /**
     * 平台类型名称
     */
    private String platformTypeName;

    /**
     * 【父】接收方角色
     */
    private Integer receiverRole;

    /**
     * 【父】接收方角色名称
     */
    private String receiverRoleName;

    /**
     * 【父】分账接收方账户
     */
    private String receiverAccount;

    /**
     * 【父】分账接收方姓名
     */
    private String receiverName;

    /**
     * 【父】抽成比例 单位：%
     */
    private BigDecimal receiverRatio;

    /**
     * 【父】接收方角色id
     */
    private Long receiverObjectId;

    /**
     * 【父】接收方角色名称
     */
    private String receiverObjectName;

    /**
     * 【子】接收方角色
     */
    private Integer subReceiverRole;

    /**
     * 【子】子接收方角色名称
     */
    private String subReceiverRoleName;

    /**
     * 【子】子分账接收方账户
     */
    private String subReceiverAccount;

    /**
     * 【子】分账接收方姓名
     */
    private String subReceiverName;

    /**
     * 【子】抽成比例 单位：%
     */
    private BigDecimal subReceiverRatio;

    /**
     * 【子】接收方角色id
     */
    private Long subReceiverObjectId;

    /**
     * 【子】接收方角色名称
     */
    private String subReceiverObjectName;

    /**
     * 状态  0：不可用  1：可用
     */
    private Integer status;

    /**
     * 操作人
     */
    private Long opUserId;

    /**
     * 操作名称
     */
    private String opUserName;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public Integer getPlatformType() {
        return platformType;
    }

    public void setPlatformType(Integer platformType) {
        this.platformType = platformType;
    }

    public String getPlatformTypeName() {
        return platformTypeName;
    }

    public void setPlatformTypeName(String platformTypeName) {
        this.platformTypeName = platformTypeName;
    }

    public Integer getReceiverRole() {
        return receiverRole;
    }

    public void setReceiverRole(Integer receiverRole) {
        this.receiverRole = receiverRole;
    }

    public String getReceiverRoleName() {
        return receiverRoleName;
    }

    public void setReceiverRoleName(String receiverRoleName) {
        this.receiverRoleName = receiverRoleName;
    }

    public String getReceiverAccount() {
        return receiverAccount;
    }

    public void setReceiverAccount(String receiverAccount) {
        this.receiverAccount = receiverAccount;
    }

    public String getReceiverName() {
        return receiverName;
    }

    public void setReceiverName(String receiverName) {
        this.receiverName = receiverName;
    }

    public BigDecimal getReceiverRatio() {
        return receiverRatio;
    }

    public void setReceiverRatio(BigDecimal receiverRatio) {
        this.receiverRatio = receiverRatio;
    }

    public Long getReceiverObjectId() {
        return receiverObjectId;
    }

    public void setReceiverObjectId(Long receiverObjectId) {
        this.receiverObjectId = receiverObjectId;
    }

    public String getReceiverObjectName() {
        return receiverObjectName;
    }

    public void setReceiverObjectName(String receiverObjectName) {
        this.receiverObjectName = receiverObjectName;
    }

    public Integer getSubReceiverRole() {
        return subReceiverRole;
    }

    public void setSubReceiverRole(Integer subReceiverRole) {
        this.subReceiverRole = subReceiverRole;
    }

    public String getSubReceiverRoleName() {
        return subReceiverRoleName;
    }

    public void setSubReceiverRoleName(String subReceiverRoleName) {
        this.subReceiverRoleName = subReceiverRoleName;
    }

    public String getSubReceiverAccount() {
        return subReceiverAccount;
    }

    public void setSubReceiverAccount(String subReceiverAccount) {
        this.subReceiverAccount = subReceiverAccount;
    }

    public String getSubReceiverName() {
        return subReceiverName;
    }

    public void setSubReceiverName(String subReceiverName) {
        this.subReceiverName = subReceiverName;
    }

    public BigDecimal getSubReceiverRatio() {
        return subReceiverRatio;
    }

    public void setSubReceiverRatio(BigDecimal subReceiverRatio) {
        this.subReceiverRatio = subReceiverRatio;
    }

    public Long getSubReceiverObjectId() {
        return subReceiverObjectId;
    }

    public void setSubReceiverObjectId(Long subReceiverObjectId) {
        this.subReceiverObjectId = subReceiverObjectId;
    }

    public String getSubReceiverObjectName() {
        return subReceiverObjectName;
    }

    public void setSubReceiverObjectName(String subReceiverObjectName) {
        this.subReceiverObjectName = subReceiverObjectName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getOpUserId() {
        return opUserId;
    }

    public void setOpUserId(Long opUserId) {
        this.opUserId = opUserId;
    }

    public String getOpUserName() {
        return opUserName;
    }

    public void setOpUserName(String opUserName) {
        this.opUserName = opUserName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsTradeTakeConfig other = (BsTradeTakeConfig) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getCompanyId() == null ? other.getCompanyId() == null : this.getCompanyId().equals(other.getCompanyId()))
            && (this.getCompanyName() == null ? other.getCompanyName() == null : this.getCompanyName().equals(other.getCompanyName()))
            && (this.getPlatformType() == null ? other.getPlatformType() == null : this.getPlatformType().equals(other.getPlatformType()))
            && (this.getPlatformTypeName() == null ? other.getPlatformTypeName() == null : this.getPlatformTypeName().equals(other.getPlatformTypeName()))
            && (this.getReceiverRole() == null ? other.getReceiverRole() == null : this.getReceiverRole().equals(other.getReceiverRole()))
            && (this.getReceiverRoleName() == null ? other.getReceiverRoleName() == null : this.getReceiverRoleName().equals(other.getReceiverRoleName()))
            && (this.getReceiverAccount() == null ? other.getReceiverAccount() == null : this.getReceiverAccount().equals(other.getReceiverAccount()))
            && (this.getReceiverName() == null ? other.getReceiverName() == null : this.getReceiverName().equals(other.getReceiverName()))
            && (this.getReceiverRatio() == null ? other.getReceiverRatio() == null : this.getReceiverRatio().equals(other.getReceiverRatio()))
            && (this.getReceiverObjectId() == null ? other.getReceiverObjectId() == null : this.getReceiverObjectId().equals(other.getReceiverObjectId()))
            && (this.getReceiverObjectName() == null ? other.getReceiverObjectName() == null : this.getReceiverObjectName().equals(other.getReceiverObjectName()))
            && (this.getSubReceiverRole() == null ? other.getSubReceiverRole() == null : this.getSubReceiverRole().equals(other.getSubReceiverRole()))
            && (this.getSubReceiverRoleName() == null ? other.getSubReceiverRoleName() == null : this.getSubReceiverRoleName().equals(other.getSubReceiverRoleName()))
            && (this.getSubReceiverAccount() == null ? other.getSubReceiverAccount() == null : this.getSubReceiverAccount().equals(other.getSubReceiverAccount()))
            && (this.getSubReceiverName() == null ? other.getSubReceiverName() == null : this.getSubReceiverName().equals(other.getSubReceiverName()))
            && (this.getSubReceiverRatio() == null ? other.getSubReceiverRatio() == null : this.getSubReceiverRatio().equals(other.getSubReceiverRatio()))
            && (this.getSubReceiverObjectId() == null ? other.getSubReceiverObjectId() == null : this.getSubReceiverObjectId().equals(other.getSubReceiverObjectId()))
            && (this.getSubReceiverObjectName() == null ? other.getSubReceiverObjectName() == null : this.getSubReceiverObjectName().equals(other.getSubReceiverObjectName()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getOpUserId() == null ? other.getOpUserId() == null : this.getOpUserId().equals(other.getOpUserId()))
            && (this.getOpUserName() == null ? other.getOpUserName() == null : this.getOpUserName().equals(other.getOpUserName()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCompanyId() == null) ? 0 : getCompanyId().hashCode());
        result = prime * result + ((getCompanyName() == null) ? 0 : getCompanyName().hashCode());
        result = prime * result + ((getPlatformType() == null) ? 0 : getPlatformType().hashCode());
        result = prime * result + ((getPlatformTypeName() == null) ? 0 : getPlatformTypeName().hashCode());
        result = prime * result + ((getReceiverRole() == null) ? 0 : getReceiverRole().hashCode());
        result = prime * result + ((getReceiverRoleName() == null) ? 0 : getReceiverRoleName().hashCode());
        result = prime * result + ((getReceiverAccount() == null) ? 0 : getReceiverAccount().hashCode());
        result = prime * result + ((getReceiverName() == null) ? 0 : getReceiverName().hashCode());
        result = prime * result + ((getReceiverRatio() == null) ? 0 : getReceiverRatio().hashCode());
        result = prime * result + ((getReceiverObjectId() == null) ? 0 : getReceiverObjectId().hashCode());
        result = prime * result + ((getReceiverObjectName() == null) ? 0 : getReceiverObjectName().hashCode());
        result = prime * result + ((getSubReceiverRole() == null) ? 0 : getSubReceiverRole().hashCode());
        result = prime * result + ((getSubReceiverRoleName() == null) ? 0 : getSubReceiverRoleName().hashCode());
        result = prime * result + ((getSubReceiverAccount() == null) ? 0 : getSubReceiverAccount().hashCode());
        result = prime * result + ((getSubReceiverName() == null) ? 0 : getSubReceiverName().hashCode());
        result = prime * result + ((getSubReceiverRatio() == null) ? 0 : getSubReceiverRatio().hashCode());
        result = prime * result + ((getSubReceiverObjectId() == null) ? 0 : getSubReceiverObjectId().hashCode());
        result = prime * result + ((getSubReceiverObjectName() == null) ? 0 : getSubReceiverObjectName().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getOpUserId() == null) ? 0 : getOpUserId().hashCode());
        result = prime * result + ((getOpUserName() == null) ? 0 : getOpUserName().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", companyId=").append(companyId);
        sb.append(", companyName=").append(companyName);
        sb.append(", platformType=").append(platformType);
        sb.append(", platformTypeName=").append(platformTypeName);
        sb.append(", receiverRole=").append(receiverRole);
        sb.append(", receiverRoleName=").append(receiverRoleName);
        sb.append(", receiverAccount=").append(receiverAccount);
        sb.append(", receiverName=").append(receiverName);
        sb.append(", receiverRatio=").append(receiverRatio);
        sb.append(", receiverObjectId=").append(receiverObjectId);
        sb.append(", receiverObjectName=").append(receiverObjectName);
        sb.append(", subReceiverRole=").append(subReceiverRole);
        sb.append(", subReceiverRoleName=").append(subReceiverRoleName);
        sb.append(", subReceiverAccount=").append(subReceiverAccount);
        sb.append(", subReceiverName=").append(subReceiverName);
        sb.append(", subReceiverRatio=").append(subReceiverRatio);
        sb.append(", subReceiverObjectId=").append(subReceiverObjectId);
        sb.append(", subReceiverObjectName=").append(subReceiverObjectName);
        sb.append(", status=").append(status);
        sb.append(", opUserId=").append(opUserId);
        sb.append(", opUserName=").append(opUserName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}